%define maj 2
%define min 0
%define rev 6
%define ver %{maj}%{min}%{rev}

Summary:     SSLify plain services
Name:        sslwrap
Version:     %{maj}.%{min}.%{rev}
Release:     2.pp
License:     BSD
Group:       Applications/Internet
Source0:     http://www.rickk.com/%{name}/%{name}%{ver}.tar.gz
Patch0:      %{name}-build.patch
Patch1:      %{name}-sslopt.patch
URL:         http://www.rickk.com/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Rick Kaseguma
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Provides:    %{name}.pp
Requires:    glibc openssl097 krb5-libs
Prereq:      /bin/bash
BuildPrereq: gcc /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel openssl097-devel krb5-devel
ExclusiveOS: linux


%description
sslwrap is a simple Unix service that sits over any simple TCP service
such as POP3, IMAP, SMTP, and encrypts all of the data on the connection
using TLS/SSL. It uses ssleay to support SSL version 2 and 3. It can run
out of inetd. It can also encrypt data for services located on another
computer.

It works with the servers you already have, and does not require any
modifications to your existing servers.


%prep
%setup -q -n %{name}%{ver}
%patch0 -p1
%patch1 -p1


%build
export OPT="$RPM_OPT_FLAGS"
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 755 sslwrap $RPM_BUILD_ROOT/usr/sbin


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README docs.html
/usr/sbin/*


%changelog
* Thu Feb 10 2005 peter.pramberger@member.fsf.org
- created

